Skip to content

Retrofit

The PropEco Retrofit API can be used to retrieve a wide range of property-specific data that is relevant to retrofit processes.

You can access, test and subscribe to the API at www.propeco.io/api.


GET /retrofit?uprn={uprn}

📄❓ See Code Samples (page bottom) for an example request.

Retrieves information about a specific UK property, identified by its unique property reference number (UPRN).

Query Parameters

uprn string Required

The Unique Property Reference Number (UPRN) of the property.


Response

📄❓ See Code Samples (page bottom) for an example response.

An object containing a range of information about a UK property, as follows:

Location

"location": {
    "uprn": 34076006,
    "x_coord": 526131,
    "y_coord": 176355,
    "latitude": 51.47211,
    "longitude": -0.1853445
},

The geographical location of the property, provided in both WGS84 / EPSG:4326 and BNG / EPSG:27700 coordinate systems.

See API Reference → Coordinate Systems for more information about locations.

{
    "postcode": "SW6 2QT",
    "census_output_area_code": "E00009707",
    "county_code": "E13000001",
    "county_electoral_division_code": "E99999999",
    "local_authority_district_code": "E09000013",
    "electoral_area_code": "E05013747",
    "health_area_code": "E18000007",
    "country_code": "E92000001",
    "region_code": "E12000007",
    "parliamentary_constituency_code": "E14001160",
    "european_electoral_region_code": "E15000007",
    "travel_to_work_area_code": "E30000234",
    "itl_area_code": "E09000013",
    "national_park_code": "E65000001",
    "census_lower_layer_super_output_area_code": "E01035487",
    "census_middle_layer_super_output_area_code": "E02000394",
    "census_workplace_zone": "E33033988",
    "ccg_lhb_chp_area_code": "E38000256",
    "built_up_area_code": "E63012087",
    "census_rural_urban_classification": "UN1",
    "census_output_area_classification": null,
    "local_enterprise_partnership_code": "E37000051",
    "local_enterprise_partnership_secondary_code": null,
    "police_force_area_code": "E23000001",
    "electoral_area_name": "Sands End",
    "local_authority_district_name": "Hammersmith and Fulham",
    "county_name": "Hammersmith and Fulham",
    "region_name": "London",
    "country_name": "England"
}

An object containing the names and identifiers of various administrative boundaries and regions within which the property resides.

This combines data from sources including the Office for National Statistics and Ordnance Survey.

Planning Restrictions

The API provides information to help you determine whether a property is affected by any planning restrictions that could hinder upgrades such as adding an extension, incorporating solar panels or replacing windows. These include:

Conservation Areas

{
    "in_conservation_area": true,
    "conservation_area_area": 2232158.3556300737,
    "conservation_area_proportion": 0.7151041414312149,
    "nearest_conservation_area": {
      "name": "No data available for publication by HE",
      "distance": 0,
      "data_available": false,
      "nearest_point": null
    }
  }

Conservation areas are designated areas of special architectural or historic interest. Properties and locations within these areas may be subject to additional planning controls designed to preserve or enhance their character and appearance.

The API assesses whether a property or location falls within a conservation area. It also calculates the extent to which the surrounding area (within a 1km radius of the property) is covered by conservation areas, expressed both as a proportion and as an absolute area (in m²).

If a property or location is not within a conservation area, the API provides details of the nearest one.

Data availability

In some locations, conservation area boundaries have not been made available for publication by Historic England. Where this occurs, the API adopts a conservative approach, treating the affected area as potentially designated (in_conservation_area: true) and returning data_available: false for the nearest conservation area. Further investigation with the relevant local planning authority is recommended. Where data is unavailable, the reported area and proportion may include areas without confirmed conservation area designations.

Listed Buildings

{
    "nearest_listed_buildings": [
        {
            "distance": 272.65926201169736,
            "x_coord": 525867.650000001,
            "y_coord": 176425.638875,
            "latitude": 51.472803363681365,
            "longitude": -0.18910933363089522,
            "name": "LANGFORD SCHOOL INCLUDING WALL, RAILINGS, GATES AND ENTRANCES, AND FORMER SCHOOL KEEPER'S HOUSE AND SPECIAL SCHOOL",
            "grade": "II",
            "date_listed": "2009-08-07T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1393408"
        },
        {
            "distance": 404.2988160209559,
            "x_coord": 526507.3075,
            "y_coord": 176502.818125004,
            "latitude": 51.473354479784355,
            "longitude": -0.17987667978798275,
            "name": "CREMORNE BRIDGE, WEST LONDON EXTENSION RAILWAY BRIDGE",
            "grade": "II*",
            "date_listed": "2008-11-26T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1393006"
        },
        {
            "distance": 459.0246555692252,
            "x_coord": 526003.950000001,
            "y_coord": 176796.091750003,
            "latitude": 51.47610236703256,
            "longitude": -0.187015978762473,
            "name": "FORMER LABORATORY AT THE IMPERIAL GAS WORKS",
            "grade": "II",
            "date_listed": "2007-06-07T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1392024"
        },
        {
            "distance": 475.47437878733615,
            "x_coord": 526020.825000001,
            "y_coord": 176817.533625003,
            "latitude": 51.47629131271065,
            "longitude": -0.18676548323922187,
            "name": "OFFICE BUILDING AT THE FORMER IMPERIAL GAS WORKS",
            "grade": "II",
            "date_listed": "2007-06-07T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1392025"
        },
        {
            "distance": 494.79545054752094,
            "x_coord": 526618.171500001,
            "y_coord": 176441.524375001,
            "latitude": 51.47277885538365,
            "longitude": -0.17830319242949452,
            "name": "Cremorne Bridge, West London Extension Railway Bridge, Battersea",
            "grade": "II*",
            "date_listed": "2008-11-26T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1393005"
        },
        {
            "distance": 495.9440400961927,
            "x_coord": 525992.145,
            "y_coord": 176831.109000001,
            "latitude": 51.47641969688287,
            "longitude": -0.1871734055456125,
            "name": "WAR MEMORIAL",
            "grade": "II",
            "date_listed": "2007-06-07T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1392026"
        },
        {
            "distance": 564.5638515564086,
            "x_coord": 526042.855809047,
            "y_coord": 176912.640515104,
            "latitude": 51.47714114501708,
            "longitude": -0.18641454604452504,
            "name": "Gasholder No 2, Fulham Gasworks",
            "grade": "II*",
            "date_listed": "1970-05-12T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1261959"
        },
        {
            "distance": 654.1070248826896,
            "x_coord": 526747,
            "y_coord": 176575.000000002,
            "latitude": 51.47394959321589,
            "longitude": -0.17640147952629298,
            "name": "OLD BATTERSEA HOUSE",
            "grade": "II*",
            "date_listed": "1954-06-28T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1065500"
        },
        {
            "distance": 693.9798267983115,
            "x_coord": 525549,
            "y_coord": 176733.000000004,
            "latitude": 51.47563638690696,
            "longitude": -0.19358588507184643,
            "name": "NOS 71 TO 77 INCLUDING IRON RAILINGS",
            "grade": "II",
            "date_listed": "1970-05-12T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1192382"
        },
        {
            "distance": 702.7560031786114,
            "x_coord": 526776.000000001,
            "y_coord": 176634.000000004,
            "latitude": 51.47447333832597,
            "longitude": -0.17596300838318335,
            "name": "ST MARY'S VICARAGE (INCLUDING RAILINGS AND GATES)",
            "grade": "II",
            "date_listed": "1954-06-28T00:00:00.000Z",
            "url": "https://historicengland.org.uk/listing/the-list/list-entry/1299844"
        }
    ]
}

These are individual buildings that have been deemed to be of special architectural or historic interest. Listed buildings are classified into three grades:

The API returns a list of the nearest listed buildings, with links to more information on each.

World Heritage Sites

{
    "in_world_heritage_site": false,
    "world_heritage_site_area": 0,
    "world_heritage_site_proportion": 0,
    "nearest_world_heritage_site": {
        "name": "Palace of Westminster, Westminster Abbey and St. Margaret's Church",
        "inscription_date": "1987-01-01T00:00:00.000Z",
        "notes": "Core Area",
        "url": "https://historicengland.org.uk/listing/the-list/list-entry/1000095",
        "distance": 4821.2320112402185,
        "nearest_point": {
            "x_coord": 529916.025999069,
            "y_coord": 179341.277999882,
            "latitude": 51.49809161098811,
            "longitude": -0.12978059568154365
        }
    }
}

World Heritage Sites are sites, places, monuments or buildings of ‘outstanding universal value’ to all humanity. Planning policies in such locations therefore place great weight on preserving their character.

The API provides an assessment of whether or not a property or location sits within a World Heritage Site. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a World Heritage Site, both as a proportion and as an absolute value (in m²).

If a property or location is not within a World Heritage Site, the API provides details of the closest one.

National Parks

{
    "in_national_park": false,
    "national_park_area": 0,
    "national_park_proportion": 0,
    "nearest_national_park": {
        "code": "E26000010",
        "name": "South Downs",
        "distance": 52414.49214631459,
        "nearest_point": {
            "x_coord": 496678.7996,
            "y_coord": 132997.799000001,
            "latitude": 51.088152792361065,
            "longitude": -0.6209624707641703
        }
    }
}

These are designated areas of natural beauty and ecological significance within the UK that provide habitats to a wide array of plant and animal species. As with world heritage sites, planning policies in these locations place significant weight on preserving their existing character, and conserving their natural landscape and ecosystem.

The API provides an assessment of whether or not the property or location sits within a national park. It also assesses the extent to which the surrounding area (within a 1km radius of the property) sits within a national park, both as a proportion and as an absolute value (in m²).

If a property or location is not within a national park, the API provides details of the closest one.

Area Attributes

House Price Index

{
    "date": "2026-01-07T00:00:00.000Z",
    "region_name": "Hammersmith and Fulham",
    "average_price": 738048,
    "average_price_seasonally_adjusted": null,
    "house_price_index": 87.4,
    "house_price_index_seasonally_adjusted": null,
    "percentage_change_1_month": 1.4,
    "percentage_change_12_months": -9,
    "sales_volume": null,
    "average_price_detached": 1716974,
    "house_price_index_detached": 89.9,
    "percentage_change_1_month_detached": 2.3,
    "percentage_change_12_months_detached": -6.1,
    "average_price_semi_detached": 1503460,
    "house_price_index_semi_detached": 91.5,
    "percentage_change_1_month_semi_detached": 3.2,
    "percentage_change_12_months_semi_detached": -4.4,
    "average_price_terraced": 1139759,
    "house_price_index_terraced": 91.6,
    "percentage_change_1_month_terraced": 2.1,
    "percentage_change_12_months_terraced": -6.7,
    "average_price_flat": 568235,
    "house_price_index_flat": 85.7,
    "percentage_change_1_month_flat": 1,
    "percentage_change_12_months_flat": -10,
    "average_price_cash": 736198,
    "house_price_index_cash": 87.4,
    "percentage_change_1_month_cash": 1.4,
    "percentage_change_12_months_cash": -9,
    "sales_volume_cash": null,
    "average_price_mortgage": 738831,
    "house_price_index_mortgage": 87.5,
    "percentage_change_1_month_mortgage": 1.4,
    "percentage_change_12_months_mortgage": -9,
    "sales_volume_mortgage": null,
    "average_price_first_time_buyer": 629368,
    "house_price_index_first_time_buyer": 86.6,
    "percentage_change_1_month_first_time_buyer": 1.2,
    "percentage_change_12_months_first_time_buyer": -9.4,
    "average_price_former_owner_occupier": 908993,
    "house_price_index_former_owner_occupier": 88.9,
    "percentage_change_1_month_former_owner_occupier": 1.5,
    "percentage_change_12_months_former_owner_occupier": -8.2,
    "average_price_new": null,
    "house_price_index_new": null,
    "percentage_change_1_month_new": null,
    "percentage_change_12_months_new": null,
    "sales_volume_new": null,
    "average_price_existing": null,
    "house_price_index_existing": null,
    "percentage_change_1_month_existing": null,
    "percentage_change_12_months_existing": null,
    "sales_volume_existing": null
}

This provides information on monthly property price changes, calculated using data from HM Land Registry, Registers of Scotland, and Land and Property Services Northern Ireland.

Fuel poverty

{
    "lower_layer_super_output_area": {
        "lower_layer_super_output_area_code": "E01035487",
        "lower_layer_super_output_area_name": "Hammersmith and Fulham 023H",
        "household_count": 809,
        "fuel_poor_household_count": 60,
        "fuel_poor_household_percentage": 7
    },
    "local_authority": {
        "local_authority_district_code": "E09000013",
        "local_authority_district_name": "Hammersmith and Fulham",
        "household_count": 88809,
        "fuel_poor_household_count": 8657,
        "fuel_poor_household_percentage": 9.747885912463827
    },
    "region": {
        "region_code": "E12000007",
        "region_name": "London",
        "household_count": 3731959,
        "fuel_poor_household_count": 359488,
        "fuel_poor_household_percentage": 9.632688890740761
    }
}

The API provides fuel poverty statistics for the relevant region, local authority and LSOA. Note that this is currently only available for properties or locations in England.

Average energy consumption

{
    "middle_layer_super_output_area": {
        "middle_layer_super_output_area_code": "E02000394",
        "electricity_meter_count": 6608,
        "mean_electricity_usage": 3796.8767,
        "mean_electricity_cost": 1200.1080063699999,
        "median_electricity_usage": 2628.25,
        "median_electricity_cost": 894.9795750000001,
        "gas_meter_count": 2360,
        "mean_gas_usage": 10129.2705,
        "mean_gas_cost": 848.4715276500001,
        "median_gas_usage": 8211.192,
        "median_gas_cost": 707.8763736
    },
    "lower_layer_super_output_area": {
        "lower_layer_super_output_area_code": "E01035487",
        "electricity_meter_count": 904,
        "mean_electricity_usage": 2816.2676,
        "mean_electricity_cost": 944.07097036,
        "median_electricity_usage": 2086.15,
        "median_electricity_cost": 753.437265,
        "gas_meter_count": 612,
        "mean_gas_usage": 8822.37,
        "mean_gas_cost": 752.6757210000001,
        "median_gas_usage": 7172.616,
        "median_gas_cost": 631.7487528
    }
}

The API provides statistics on electricity and gas consumption, broken down by Lower Super Output Area (LSOA) and Middle Super Output Area (MSOA).

Retrofit Grants

[
    {
        "name": "Boiler Upgrade Scheme",
        "description": "Grant of up to £7,500 to cover part of the cost of replacing fossil fuel heating systems with a heat pump or biomass boiler.",
        "grant_value": 7500,
        "url": "https://www.gov.uk/apply-boiler-upgrade-scheme"
    }
]

The API provides a list of retrofit grants available in the area, alongside their value and the URL of the associated web page.

Urban Rural Classification

   "urban_rural_classification": {
      "output_area_code": "E00009707",
      "rural_urban_classification_code": "A1",
      "rural_urban_classification_10_fold": "Urban major conurbation",
      "rural_urban_classification_2_fold": "Urban"
    }

The API provides the rural/urban classification for the area in which the property is located.

EPCs

Energy Performance Certificates (EPCs) for the property are provided (if available). These are enhanced versions of the raw EPC data provided by the UK or Scottish governments (see here for information about how these have been enhanced).

Note that EPCs for properties in England and Wales differ from those for properties in Scotland, as follows:

Enhanced EPCs (England & Wales)

{
    "address": "30, Tynemouth Street",
    "address1": "30, Tynemouth Street",
    "address2": null,
    "address3": null,
    "adjusted_costs": {
        "heating_cost_current": 1299.6,
        "heating_cost_potential": 1013.5,
        "hot_water_cost_current": 221.3,
        "hot_water_cost_potential": 136,
        "lighting_cost_current": 137.1,
        "lighting_cost_potential": 137.1,
        "total_fuel_cost_current": 1658,
        "total_fuel_cost_potential": 1286.6,
        "standing_charges": 305
    },
    "built_form": "Mid-Terrace",
    "certificate_number": "8788-7424-5370-3747-2996",
    "co2_emissions_current": 4.9,
    "co2_emissions_per_floor_area_m2_current": 35,
    "co2_emissions_potential": 2.7,
    "co2_emissions_reduction_potential": 2.2,
    "constituency": "E14001160",
    "constituency_label": "Chelsea and Fulham",
    "construction_age_band": "1900-1929",
    "country": "England",
    "dwelling_type": "Existing dwellings",
    "energy_consumption_per_floor_area_m2_current": 197,
    "energy_consumption_per_floor_area_m2_potential": 107,
    "energy_efficiency_current": 64,
    "energy_efficiency_potential": 78,
    "energy_rating_current": "D",
    "energy_rating_potential": "C",
    "energy_tariff": "Single",
    "environmental_impact_current": 55,
    "environmental_impact_potential": 72,
    "extension_count": 1,
    "fixed_lighting_outlet_count": 23,
    "flat_storey_count": 2,
    "floor_description": "Suspended, no insulation (assumed)",
    "floor_energy_efficiency": "N/A",
    "floor_environmental_efficiency": "N/A",
    "floor_height": 2.62,
    "floor_level": null,
    "floor_thermal_transmittance": null,
    "floor_type": "suspended",
    "glazed_area": "Normal",
    "glazed_type": "Double",
    "habitable_room_count": 6,
    "has_mains_gas": true,
    "has_solar_water_heating": false,
    "heat_loss_corridor": null,
    "heat_pump": false,
    "heated_room_count": 6,
    "heating_cost_current": 822,
    "heating_cost_potential": 641,
    "hot_water_cost_current": 140,
    "hot_water_cost_potential": 86,
    "hot_water_description": "From main system",
    "hot_water_energy_efficiency": "Good",
    "hot_water_environmental_efficiency": "Good",
    "inspection_date": "2018-04-13T00:00:00.000Z",
    "is_flat_top_storey": false,
    "lighting_cost_current": 85,
    "lighting_cost_potential": 85,
    "lighting_description": "Low energy lighting in 96% of fixed outlets",
    "lighting_energy_efficiency": "Very Good",
    "lighting_environmental_efficiency": "Very Good",
    "local_authority": "E09000013",
    "local_authority_label": "Hammersmith and Fulham",
    "lodgement_date": "2018-04-13T00:00:00.000Z",
    "lodgement_datetime": "2018-04-13T17:05:00.000Z",
    "low_energy_fixed_light_count": 22,
    "low_energy_lighting_percentage": 96,
    "main_fuel": "Mains gas (not community)",
    "main_heating_controls": "Programmer, room thermostat and TRVs",
    "main_heating_controls_description": "Programmer, room thermostat and TRVs",
    "main_heating_controls_energy_efficiency": "Good",
    "main_heating_controls_environmental_efficiency": "Good",
    "main_heating_description": "Boiler and radiators, mains gas",
    "main_heating_energy_efficiency": "Good",
    "main_heating_environmental_efficiency": "Good",
    "mechanical_ventilation": "Natural",
    "multi_glaze_percentage": 100,
    "open_fireplace_count": 2,
    "post_town": "London",
    "postcode": "SW6 2QT",
    "property_type": "House",
    "region": "E12000007",
    "report_type": "Reduced Standard Assessment Procedure (RdSAP)",
    "roof_description": "Pitched, 300 mm loft insulation",
    "roof_energy_efficiency": "Very Good",
    "roof_environmental_efficiency": "Very Good",
    "roof_photovoltaic_supply": 0,
    "roof_thermal_transmittance": null,
    "roof_type": "pitched",
    "second_heating_description": "Room heaters, mains gas",
    "second_heating_energy_efficiency": "N/A",
    "second_heating_environmental_efficiency": "N/A",
    "tenure": "Owner-Occupied",
    "total_energy_consumption_current": 27777,
    "total_energy_consumption_potential": 15087,
    "total_floor_area": 141,
    "transaction_type": "Marketed sale",
    "unheated_corridor_length": null,
    "uprn": 34076006,
    "uprn_source": "Energy Assessor",
    "walls_description": "Solid brick, as built, no insulation (assumed)",
    "walls_energy_efficiency": "Very Poor",
    "walls_environmental_efficiency": "Very Poor",
    "walls_thermal_transmittance": null,
    "walls_type": "solid",
    "wind_turbine_count": 0,
    "windows_description": "Fully Double Glazed",
    "windows_energy_efficiency": "Good",
    "windows_environmental_efficiency": "Good"
}

Enhanced EPCs (Scotland)

{
    "address1": "136 Newhaven Road",
    "address2": null,
    "adjusted_costs": {
        "heating_cost_current": 1596.5,
        "heating_cost_potential": 1227,
        "hot_water_cost_current": 240.5,
        "hot_water_cost_potential": 153.4,
        "lighting_cost_current": 252.8,
        "lighting_cost_potential": 128.2,
        "total_fuel_cost_current": 2089.8,
        "total_fuel_cost_potential": 1508.6,
        "standing_charges": 289
    },
    "air_tightness_description": null,
    "air_tightness_energy_efficiency": null,
    "air_tightness_environmental_efficiency": null,
    "alternative_improvements": [],
    "building_reference_number": "1001366242",
    "built_form": "Detached",
    "co2_emissions_current": 5.4,
    "co2_emissions_per_floor_area_m2_current": 44,
    "co2_emissions_potential": 2.9000000000000004,
    "co2_emissions_reduction_potential": 2.5,
    "constituency": "00QPMD",
    "constituency_label": "Forth",
    "construction_age_band": "1965-1975",
    "created_at": "2017-03-28T00:00:00.000Z",
    "data_zone": "S01002294 (East Trinity and Bonnyhaugh)",
    "data_zone_2011": "S01008823 (Trinity East and The Dudleys - 03)",
    "energy_consumption_per_floor_area_m2_current": 249,
    "energy_consumption_per_floor_area_m2_potential": 132,
    "energy_cost_current": 1196,
    "energy_efficiency_current": 65,
    "energy_efficiency_potential": 83,
    "energy_rating_current": "D",
    "energy_rating_potential": "B",
    "energy_saving_potential": 332,
    "energy_tariff": "Single",
    "environmental_impact_current": 59,
    "environmental_impact_potential": 79,
    "environmental_rating_current": "D",
    "environmental_rating_potential": "C",
    "extension_count": 0,
    "fixed_lighting_outlet_count": 12,
    "flat_storey_count": null,
    "floor_description": "Suspended, no insulation (assumed)",
    "floor_energy_efficiency": "N/A",
    "floor_environmental_efficiency": "N/A",
    "floor_height": 2.4,
    "floor_level": null,
    "floor_thermal_transmittance": null,
    "floor_type": "suspended",
    "glazed_area": 1,
    "glazed_type": "not defined",
    "habitable_room_count": 4,
    "has_mains_gas": null,
    "has_solar_water_heating": false,
    "heat_loss_corridor": null,
    "heat_pump": false,
    "heated_room_count": 4,
    "heating_cost_current": 916,
    "heating_cost_potential": 704,
    "historic": false,
    "hot_water_cost_current": 138,
    "hot_water_cost_potential": 88,
    "hot_water_description": "From main system",
    "hot_water_energy_efficiency": "Good",
    "hot_water_environmental_efficiency": "Good",
    "id": "1814841",
    "impact_cavity_wall_insulation": 0,
    "impact_loft_insulation": 0,
    "impact_solid_wall_insulation": 0,
    "improvements": [
        {
            "description": "Low energy lighting for all fixed outlets",
            "indicative_cost": "£60",
            "typical_saving": "61",
            "energy_rating_after_improvement": "C 71",
            "environmental_rating_after_improvement": "D 66",
            "green_deal_eligible": "N"
        },
        {
            "description": "Solar water heating",
            "indicative_cost": "£4,000 - £6,000",
            "typical_saving": "47",
            "energy_rating_after_improvement": "C 72",
            "environmental_rating_after_improvement": "D 68",
            "green_deal_eligible": "Y"
        },
        {
            "description": "Solar photovoltaic panels, 2.5 kWp",
            "indicative_cost": "£5,000 - £8,000",
            "typical_saving": "264",
            "energy_rating_after_improvement": "B 83",
            "environmental_rating_after_improvement": "C 79",
            "green_deal_eligible": "Y"
        },
        {
            "description": "Replace single glazed windows with low-E double glazed windows",
            "indicative_cost": "£3,300 - £6,500",
            "typical_saving": "101",
            "energy_rating_after_improvement": "C 75",
            "environmental_rating_after_improvement": "C 72",
            "green_deal_eligible": "Y"
        },
        {
            "description": "Floor insulation (suspended floor)",
            "indicative_cost": "£800 - £1,200",
            "typical_saving": "123",
            "energy_rating_after_improvement": "C 69",
            "environmental_rating_after_improvement": "D 64",
            "green_deal_eligible": "Y"
        }
    ],
    "inspection_date": "2017-03-24T00:00:00.000Z",
    "lighting_cost_current": 142,
    "lighting_cost_potential": 72,
    "lighting_description": "No low energy lighting",
    "lighting_energy_efficiency": "Very Poor",
    "lighting_environmental_efficiency": "Very Poor",
    "local_authority_label": "Edinburgh City",
    "lodgement_date": "2017-03-28T00:00:00.000Z",
    "low_energy_fixed_light_count": 0,
    "low_energy_lighting_percentage": 0,
    "lzc_energy_sources": null,
    "main_fuel": "Mains gas (not community)",
    "main_heating_category": "Boiler with radiators or underfloor heating",
    "main_heating_controls": "2106",
    "main_heating_controls_description": "Programmer, room thermostat and TRVs",
    "main_heating_controls_energy_efficiency": "Good",
    "main_heating_controls_environmental_efficiency": "Good",
    "main_heating_description": "Boiler and radiators, mains gas",
    "main_heating_energy_efficiency": "Good",
    "main_heating_environmental_efficiency": "Good",
    "mechanical_ventilation": "Natural",
    "multi_glaze_percentage": 0,
    "open_fireplace_count": 0,
    "post_town": "Edinburgh",
    "postcode": "EH6 4NR",
    "property_type": "Bungalow",
    "report_reference_number": null,
    "roof_description": "Pitched, 200 mm loft insulation",
    "roof_energy_efficiency": "Good",
    "roof_environmental_efficiency": "Good",
    "roof_photovoltaic_supply": "Array: Roof Area: 0%; Connection: not applicable (FGHRS or no PV);  |",
    "roof_thermal_transmittance": null,
    "roof_type": "pitched",
    "second_heating_description": null,
    "space_heating_demand": 17136,
    "tenure": "Owner-Occupied",
    "three_year_energy_cost_current": 3588,
    "three_year_energy_saving_potential": 996,
    "three_year_heating_cost_current": 2748,
    "three_year_heating_cost_potential": 2112,
    "three_year_hot_water_cost_current": 414,
    "three_year_hot_water_cost_potential": 264,
    "three_year_lighting_cost_current": 426,
    "three_year_lighting_cost_potential": 216,
    "total_energy_consumption_current": 30627,
    "total_energy_consumption_potential": 16236,
    "total_floor_area": 123,
    "transaction_type": "None of the Above",
    "type_of_assessment": "RdSAP, existing dwelling",
    "unheated_corridor_length": null,
    "uprn": 906178651,
    "walls_description": "Cavity wall, filled cavity",
    "walls_energy_efficiency": "Good",
    "walls_environmental_efficiency": "Good",
    "walls_thermal_transmittance": null,
    "walls_type": "cavity",
    "water_heating_demand": 2822,
    "wind_turbine_count": 0,
    "windows_description": "Single Glazed",
    "windows_energy_efficiency": "Very Poor",
    "windows_environmental_efficiency": "Very Poor"
}

EPC Estimate

Unfortunately, many domestic properties do not have an EPC. In such cases, the API provides an estimated assessment (where possible) for a number of EPC fields, based on the attributes of nearby properties. If there is not enough information available to generate a useful estimate, this will be returned as null.

"epc_estimate": {
        "avg_co2_emissions_current": 5.9,
        "avg_co2_emissions_potential": 3.55,
        "avg_energy_efficiency_current": 69.5,
        "avg_energy_efficiency_potential": 82.5,
        "avg_energy_rating_current": "D",
        "avg_energy_rating_current_numerical": 4.5,
        "avg_energy_rating_potential": "B",
        "avg_energy_rating_potential_numerical": 6,
        "avg_floor_energy_efficiency": null,
        "avg_floor_energy_efficiency_numerical": null,
        "avg_hot_water_energy_efficiency": "Average",
        "avg_hot_water_energy_efficiency_numerical": 3,
        "avg_lighting_energy_efficiency": "Very Poor",
        "avg_lighting_energy_efficiency_numerical": 1,
        "avg_main_heating_controls_energy_efficiency": "Good",
        "avg_main_heating_controls_energy_efficiency_numerical": 4,
        "avg_main_heating_energy_efficiency": "Average",
        "avg_main_heating_energy_efficiency_numerical": 3.5,
        "avg_roof_energy_efficiency": "Good",
        "avg_roof_energy_efficiency_numerical": 4,
        "avg_total_floor_area": 186,
        "avg_walls_energy_efficiency": "Good",
        "avg_walls_energy_efficiency_numerical": 4,
        "avg_windows_energy_efficiency": "Average",
        "avg_windows_energy_efficiency_numerical": 3.5,
        "median_co2_emissions_current": 4.8,
        "median_co2_emissions_potential": 2.4,
        "median_energy_efficiency_current": 66,
        "median_energy_efficiency_potential": 82,
        "median_energy_rating_current": "C",
        "median_energy_rating_potential": "B",
        "median_floor_energy_efficiency": null,
        "median_hot_water_energy_efficiency": "Average",
        "median_lighting_energy_efficiency": "Very Poor",
        "median_main_heating_controls_energy_efficiency": "Average",
        "median_main_heating_energy_efficiency": "Average",
        "median_roof_energy_efficiency": "Good",
        "median_total_floor_area": 116,
        "median_walls_energy_efficiency": "Good",
        "median_windows_energy_efficiency": "Average",
        "mode_built_form": "Detached",
        "mode_construction_age_band": "1996-2002",
        "mode_energy_rating_current": "C",
        "mode_energy_rating_potential": "B",
        "mode_floor_energy_efficiency": "N/A",
        "mode_hot_water_energy_efficiency": "Average",
        "mode_lighting_energy_efficiency": "Very Poor",
        "mode_main_heating_controls_energy_efficiency": "Average",
        "mode_main_heating_energy_efficiency": "Average",
        "mode_property_type": "House",
        "mode_roof_energy_efficiency": "Good",
        "mode_walls_energy_efficiency": "Good",
        "mode_windows_energy_efficiency": "Average",
        "property_count": 2
    }

EPC Stats

The API also provides various summary statistics for a subset of EPC fields:

  • Current energy rating
  • Potential energy rating
  • Current energy consumption
  • Potential energy consumption
  • Current energy efficiency
  • Potential energy efficiency
  • Current CO2 emissions
  • Potential CO2 emissions

Statistics provided include:

  • Counts
  • Average
  • Standard deviation
  • Mode
  • Min
  • Max
  • Percentiles: 10, 25, 50, 75, 90

These have been grouped by:

  • Postcode
  • Outcode
  • Local authority
  • Region
  • Country
  • Local authority and property type
  • Country and property type
{
    "postcode_stats": {
        "postcode": "SW6 2QT",
        "property_count": 30,
        "mode_energy_rating_current": "D",
        "avg_energy_rating_current": "D",
        "stddev_energy_rating_current": 0.5508613944197478,
        "min_energy_rating_current": "C",
        "max_energy_rating_current": "E",
        "perc_10_energy_rating_current": 4,
        "perc_25_energy_rating_current": 4,
        "perc_50_energy_rating_current": 4,
        "perc_75_energy_rating_current": 4.75,
        "perc_90_energy_rating_current": 5,
        "energy_rating_a_count_current": 0,
        "energy_rating_b_count_current": 0,
        "energy_rating_c_count_current": 8,
        "energy_rating_d_count_current": 20,
        "energy_rating_e_count_current": 2,
        "energy_rating_f_count_current": 0,
        "energy_rating_g_count_current": 0,
        "mode_energy_rating_potential": "C",
        "avg_energy_rating_potential": "D",
        "stddev_energy_rating_potential": 0.5560534167675355,
        "min_energy_rating_potential": "B",
        "max_energy_rating_potential": "E",
        "perc_10_energy_rating_potential": 4.9,
        "perc_25_energy_rating_potential": 5,
        "perc_50_energy_rating_potential": 5,
        "perc_75_energy_rating_potential": 5,
        "perc_90_energy_rating_potential": 5.1000000000000005,
        "energy_rating_a_count_potential": 0,
        "energy_rating_b_count_potential": 3,
        "energy_rating_c_count_potential": 24,
        "energy_rating_d_count_potential": 2,
        "energy_rating_e_count_potential": 1,
        "energy_rating_f_count_potential": 0,
        "energy_rating_g_count_potential": 0,
        "avg_energy_consumption_per_floor_area_m2_current": 230.06666666666666,
        "stddev_energy_consumption_per_floor_area_m2_current": 53.75033814381741,
        "min_energy_consumption_per_floor_area_m2_current": 132,
        "max_energy_consumption_per_floor_area_m2_current": 351,
        "perc_10_energy_consumption_per_floor_area_m2_current": 176.9,
        "perc_25_energy_consumption_per_floor_area_m2_current": 192.5,
        "perc_50_energy_consumption_per_floor_area_m2_current": 223,
        "perc_75_energy_consumption_per_floor_area_m2_current": 263,
        "perc_90_energy_consumption_per_floor_area_m2_current": 307.3,
        "avg_energy_consumption_per_floor_area_m2_potential": 144.93333333333334,
        "stddev_energy_consumption_per_floor_area_m2_potential": 54.10585622796223,
        "min_energy_consumption_per_floor_area_m2_potential": 60,
        "max_energy_consumption_per_floor_area_m2_potential": 338,
        "perc_10_energy_consumption_per_floor_area_m2_potential": 105,
        "perc_25_energy_consumption_per_floor_area_m2_potential": 118.25,
        "perc_50_energy_consumption_per_floor_area_m2_potential": 132,
        "perc_75_energy_consumption_per_floor_area_m2_potential": 157.5,
        "perc_90_energy_consumption_per_floor_area_m2_potential": 213.4,
        "avg_energy_efficiency_current": 65.6,
        "stddev_energy_efficiency_current": 5.4684045457392845,
        "min_energy_efficiency_current": 53,
        "max_energy_efficiency_current": 74,
        "perc_10_energy_efficiency_current": 57.8,
        "perc_25_energy_efficiency_current": 63.25,
        "perc_50_energy_efficiency_current": 67.5,
        "perc_75_energy_efficiency_current": 68.75,
        "perc_90_energy_efficiency_current": 72.1,
        "avg_energy_efficiency_potential": 75.96666666666667,
        "stddev_energy_efficiency_potential": 6.008518856638024,
        "min_energy_efficiency_potential": 54,
        "max_energy_efficiency_potential": 87,
        "perc_10_energy_efficiency_potential": 71.4,
        "perc_25_energy_efficiency_potential": 74,
        "perc_50_energy_efficiency_potential": 78,
        "perc_75_energy_efficiency_potential": 79,
        "perc_90_energy_efficiency_potential": 79.3,
        "avg_total_floor_area": 72.26666666666667,
        "avg_co2_emissions_current": 2.8666666666666663,
        "stddev_co2_emissions_current": 0.8797857628455616,
        "min_co2_emissions_current": 1.5,
        "max_co2_emissions_current": 4.9,
        "perc_10_co2_emissions_current": 1.88,
        "perc_25_co2_emissions_current": 2.225,
        "perc_50_co2_emissions_current": 2.75,
        "perc_75_co2_emissions_current": 3.3,
        "perc_90_co2_emissions_current": 3.8800000000000003,
        "avg_co2_emissions_potential": 1.7933333333333337,
        "stddev_co2_emissions_potential": 0.7234654786861462,
        "min_co2_emissions_potential": 1,
        "max_co2_emissions_potential": 3.8,
        "perc_10_co2_emissions_potential": 1.2,
        "perc_25_co2_emissions_potential": 1.3,
        "perc_50_co2_emissions_potential": 1.4,
        "perc_75_co2_emissions_potential": 2.4,
        "perc_90_co2_emissions_potential": 2.7,
        "avg_energy_rating_current_numerical": 4.2,
        "avg_energy_rating_potential_numerical": 4.966666666666667
    },
    "outcode_stats": {
        "outcode": "SW6",
        "property_count": 26807,
        "mode_energy_rating_current": "C",
        "avg_energy_rating_current": "D",
        "stddev_energy_rating_current": 0.8862848755495365,
        "min_energy_rating_current": "A",
        "max_energy_rating_current": "G",
        "perc_10_energy_rating_current": 4,
        "perc_25_energy_rating_current": 4,
        "perc_50_energy_rating_current": 5,
        "perc_75_energy_rating_current": 5,
        "perc_90_energy_rating_current": 6,
        "energy_rating_a_count_current": 11,
        "energy_rating_b_count_current": 3962,
        "energy_rating_c_count_current": 11282,
        "energy_rating_d_count_current": 9068,
        "energy_rating_e_count_current": 2182,
        "energy_rating_f_count_current": 216,
        "energy_rating_g_count_current": 86,
        "mode_energy_rating_potential": "C",
        "avg_energy_rating_potential": "C",
        "stddev_energy_rating_potential": 0.664982057561173,
        "min_energy_rating_potential": "A",
        "max_energy_rating_potential": "G",
        "perc_10_energy_rating_potential": 5,
        "perc_25_energy_rating_potential": 5,
        "perc_50_energy_rating_potential": 5,
        "perc_75_energy_rating_potential": 6,
        "perc_90_energy_rating_potential": 6,
        "energy_rating_a_count_potential": 92,
        "energy_rating_b_count_potential": 9307,
        "energy_rating_c_count_potential": 14925,
        "energy_rating_d_count_potential": 2143,
        "energy_rating_e_count_potential": 301,
        "energy_rating_f_count_potential": 23,
        "energy_rating_g_count_potential": 16,
        "avg_energy_consumption_per_floor_area_m2_current": 203.07315665613368,
        "stddev_energy_consumption_per_floor_area_m2_current": 101.45439656826528,
        "min_energy_consumption_per_floor_area_m2_current": -1,
        "max_energy_consumption_per_floor_area_m2_current": 1790,
        "perc_10_energy_consumption_per_floor_area_m2_current": 88,
        "perc_25_energy_consumption_per_floor_area_m2_current": 141,
        "perc_50_energy_consumption_per_floor_area_m2_current": 191,
        "perc_75_energy_consumption_per_floor_area_m2_current": 252,
        "perc_90_energy_consumption_per_floor_area_m2_current": 320,
        "avg_energy_consumption_per_floor_area_m2_potential": 138.81249897414855,
        "stddev_energy_consumption_per_floor_area_m2_potential": 73.48058983190619,
        "min_energy_consumption_per_floor_area_m2_potential": -79,
        "max_energy_consumption_per_floor_area_m2_potential": 1616,
        "perc_10_energy_consumption_per_floor_area_m2_potential": 69,
        "perc_25_energy_consumption_per_floor_area_m2_potential": 95,
        "perc_50_energy_consumption_per_floor_area_m2_potential": 124,
        "perc_75_energy_consumption_per_floor_area_m2_potential": 163,
        "perc_90_energy_consumption_per_floor_area_m2_potential": 231,
        "avg_energy_efficiency_current": 68.8733539747081,
        "stddev_energy_efficiency_current": 11.134857072871709,
        "min_energy_efficiency_current": 1,
        "max_energy_efficiency_current": 94,
        "perc_10_energy_efficiency_current": 55,
        "perc_25_energy_efficiency_current": 63,
        "perc_50_energy_efficiency_current": 70,
        "perc_75_energy_efficiency_current": 76,
        "perc_90_energy_efficiency_current": 83,
        "avg_energy_efficiency_potential": 77.61323534897602,
        "stddev_energy_efficiency_potential": 7.172551719974821,
        "min_energy_efficiency_potential": 1,
        "max_energy_efficiency_potential": 110,
        "perc_10_energy_efficiency_potential": 69,
        "perc_25_energy_efficiency_potential": 75,
        "perc_50_energy_efficiency_potential": 79,
        "perc_75_energy_efficiency_potential": 82,
        "perc_90_energy_efficiency_potential": 85,
        "avg_total_floor_area": 92.43808205857052,
        "avg_co2_emissions_current": 3.1423766180475456,
        "stddev_co2_emissions_current": 2.42592412026071,
        "min_co2_emissions_current": 0,
        "max_co2_emissions_current": 84,
        "perc_10_co2_emissions_current": 1,
        "perc_25_co2_emissions_current": 1.6,
        "perc_50_co2_emissions_current": 2.4,
        "perc_75_co2_emissions_current": 4,
        "perc_90_co2_emissions_current": 6.2,
        "avg_co2_emissions_potential": 2.0942813444249477,
        "stddev_co2_emissions_potential": 1.6956758749134722,
        "min_co2_emissions_potential": -1.2,
        "max_co2_emissions_potential": 70,
        "perc_10_co2_emissions_potential": 0.8,
        "perc_25_co2_emissions_potential": 1.2,
        "perc_50_co2_emissions_potential": 1.6,
        "perc_75_co2_emissions_potential": 2.5,
        "perc_90_co2_emissions_potential": 3.8,
        "avg_energy_rating_current_numerical": 4.6105494833439025,
        "avg_energy_rating_potential_numerical": 5.24668929757153
    },
    "local_authority_stats": {
        "local_authority_district_code": "E09000013",
        "property_count": 73891,
        "mode_energy_rating_current": "C",
        "avg_energy_rating_current": "D",
        "stddev_energy_rating_current": 0.8860409805762881,
        "min_energy_rating_current": "A",
        "max_energy_rating_current": "G",
        "perc_10_energy_rating_current": 4,
        "perc_25_energy_rating_current": 4,
        "perc_50_energy_rating_current": 5,
        "perc_75_energy_rating_current": 5,
        "perc_90_energy_rating_current": 6,
        "energy_rating_a_count_current": 29,
        "energy_rating_b_count_current": 12061,
        "energy_rating_c_count_current": 31157,
        "energy_rating_d_count_current": 24323,
        "energy_rating_e_count_current": 5545,
        "energy_rating_f_count_current": 581,
        "energy_rating_g_count_current": 195,
        "mode_energy_rating_potential": "C",
        "avg_energy_rating_potential": "C",
        "stddev_energy_rating_potential": 0.658290024737231,
        "min_energy_rating_potential": "A",
        "max_energy_rating_potential": "G",
        "perc_10_energy_rating_potential": 5,
        "perc_25_energy_rating_potential": 5,
        "perc_50_energy_rating_potential": 5,
        "perc_75_energy_rating_potential": 6,
        "perc_90_energy_rating_potential": 6,
        "energy_rating_a_count_potential": 238,
        "energy_rating_b_count_potential": 26588,
        "energy_rating_c_count_potential": 40637,
        "energy_rating_d_count_potential": 5604,
        "energy_rating_e_count_potential": 720,
        "energy_rating_f_count_potential": 62,
        "energy_rating_g_count_potential": 42,
        "avg_energy_consumption_per_floor_area_m2_current": 205.43041187958457,
        "stddev_energy_consumption_per_floor_area_m2_current": 109.25492003983284,
        "min_energy_consumption_per_floor_area_m2_current": -27,
        "max_energy_consumption_per_floor_area_m2_current": 1790,
        "perc_10_energy_consumption_per_floor_area_m2_current": 65,
        "perc_25_energy_consumption_per_floor_area_m2_current": 141,
        "perc_50_energy_consumption_per_floor_area_m2_current": 195,
        "perc_75_energy_consumption_per_floor_area_m2_current": 257,
        "perc_90_energy_consumption_per_floor_area_m2_current": 330,
        "avg_energy_consumption_per_floor_area_m2_potential": 138.92133899933685,
        "stddev_energy_consumption_per_floor_area_m2_potential": 79.16218940868285,
        "min_energy_consumption_per_floor_area_m2_potential": -117,
        "max_energy_consumption_per_floor_area_m2_potential": 1616,
        "perc_10_energy_consumption_per_floor_area_m2_potential": 57,
        "perc_25_energy_consumption_per_floor_area_m2_potential": 93,
        "perc_50_energy_consumption_per_floor_area_m2_potential": 123,
        "perc_75_energy_consumption_per_floor_area_m2_potential": 165,
        "perc_90_energy_consumption_per_floor_area_m2_potential": 240,
        "avg_energy_efficiency_current": 69.43062077925593,
        "stddev_energy_efficiency_current": 11.132360496725514,
        "min_energy_efficiency_current": 1,
        "max_energy_efficiency_current": 105,
        "perc_10_energy_efficiency_current": 56,
        "perc_25_energy_efficiency_current": 63,
        "perc_50_energy_efficiency_current": 70,
        "perc_75_energy_efficiency_current": 77,
        "perc_90_energy_efficiency_current": 84,
        "avg_energy_efficiency_potential": 78.01059668971864,
        "stddev_energy_efficiency_potential": 7.065998542397473,
        "min_energy_efficiency_potential": 1,
        "max_energy_efficiency_potential": 115,
        "perc_10_energy_efficiency_potential": 70,
        "perc_25_energy_efficiency_potential": 76,
        "perc_50_energy_efficiency_potential": 79,
        "perc_75_energy_efficiency_potential": 82,
        "perc_90_energy_efficiency_potential": 86,
        "avg_total_floor_area": 80.98114665220928,
        "avg_co2_emissions_current": 2.7837448403729734,
        "stddev_co2_emissions_current": 2.2355451075904864,
        "min_co2_emissions_current": -0.2,
        "max_co2_emissions_current": 84,
        "perc_10_co2_emissions_current": 0.8,
        "perc_25_co2_emissions_current": 1.4,
        "perc_50_co2_emissions_current": 2.2,
        "perc_75_co2_emissions_current": 3.5,
        "perc_90_co2_emissions_current": 5.4,
        "avg_co2_emissions_potential": 1.8275730467851092,
        "stddev_co2_emissions_potential": 1.5068037516569077,
        "min_co2_emissions_potential": -1.5,
        "max_co2_emissions_potential": 70,
        "perc_10_co2_emissions_potential": 0.7,
        "perc_25_co2_emissions_potential": 1,
        "perc_50_co2_emissions_potential": 1.4,
        "perc_75_co2_emissions_potential": 2.1,
        "perc_90_co2_emissions_potential": 3.3,
        "avg_energy_rating_current_numerical": 4.650606975139056,
        "avg_energy_rating_potential_numerical": 5.2661487867263945
    },
    "region_stats": {
        "region_code": "E12000007",
        "property_count": 2899330,
        "mode_energy_rating_current": "C",
        "avg_energy_rating_current": "D",
        "stddev_energy_rating_current": 0.9286071873273314,
        "min_energy_rating_current": "A",
        "max_energy_rating_current": "G",
        "perc_10_energy_rating_current": 3,
        "perc_25_energy_rating_current": 4,
        "perc_50_energy_rating_current": 5,
        "perc_75_energy_rating_current": 5,
        "perc_90_energy_rating_current": 6,
        "energy_rating_a_count_current": 6079,
        "energy_rating_b_count_current": 470518,
        "energy_rating_c_count_current": 1119465,
        "energy_rating_d_count_current": 997350,
        "energy_rating_e_count_current": 265323,
        "energy_rating_f_count_current": 32342,
        "energy_rating_g_count_current": 8253,
        "mode_energy_rating_potential": "C",
        "avg_energy_rating_potential": "C",
        "stddev_energy_rating_potential": 0.6825665269973957,
        "min_energy_rating_potential": "A",
        "max_energy_rating_potential": "G",
        "perc_10_energy_rating_potential": 5,
        "perc_25_energy_rating_potential": 5,
        "perc_50_energy_rating_potential": 5,
        "perc_75_energy_rating_potential": 6,
        "perc_90_energy_rating_potential": 6,
        "energy_rating_a_count_potential": 26907,
        "energy_rating_b_count_potential": 1254454,
        "energy_rating_c_count_potential": 1388636,
        "energy_rating_d_count_potential": 197262,
        "energy_rating_e_count_potential": 26844,
        "energy_rating_f_count_potential": 3769,
        "energy_rating_g_count_potential": 1458,
        "avg_energy_consumption_per_floor_area_m2_current": 212.25095545831343,
        "stddev_energy_consumption_per_floor_area_m2_current": 111.79978462068331,
        "min_energy_consumption_per_floor_area_m2_current": -406,
        "max_energy_consumption_per_floor_area_m2_current": 1978,
        "perc_10_energy_consumption_per_floor_area_m2_current": 73,
        "perc_25_energy_consumption_per_floor_area_m2_current": 143,
        "perc_50_energy_consumption_per_floor_area_m2_current": 202,
        "perc_75_energy_consumption_per_floor_area_m2_current": 268,
        "perc_90_energy_consumption_per_floor_area_m2_current": 343,
        "avg_energy_consumption_per_floor_area_m2_potential": 136.7470180556145,
        "stddev_energy_consumption_per_floor_area_m2_potential": 82.41583956073235,
        "min_energy_consumption_per_floor_area_m2_potential": -406,
        "max_energy_consumption_per_floor_area_m2_potential": 2000,
        "perc_10_energy_consumption_per_floor_area_m2_potential": 56,
        "perc_25_energy_consumption_per_floor_area_m2_potential": 85,
        "perc_50_energy_consumption_per_floor_area_m2_potential": 121,
        "perc_75_energy_consumption_per_floor_area_m2_potential": 163,
        "perc_90_energy_consumption_per_floor_area_m2_potential": 243,
        "avg_energy_efficiency_current": 68.58951885690358,
        "stddev_energy_efficiency_current": 11.7230647972771,
        "min_energy_efficiency_current": 1,
        "max_energy_efficiency_current": 149,
        "perc_10_energy_efficiency_current": 54,
        "perc_25_energy_efficiency_current": 62,
        "perc_50_energy_efficiency_current": 70,
        "perc_75_energy_efficiency_current": 77,
        "perc_90_energy_efficiency_current": 83,
        "avg_energy_efficiency_potential": 78.84839527565953,
        "stddev_energy_efficiency_potential": 7.41538040946841,
        "min_energy_efficiency_potential": 1,
        "max_energy_efficiency_potential": 149,
        "perc_10_energy_efficiency_potential": 70,
        "perc_25_energy_efficiency_potential": 76,
        "perc_50_energy_efficiency_potential": 80,
        "perc_75_energy_efficiency_potential": 84,
        "perc_90_energy_efficiency_potential": 86,
        "avg_total_floor_area": 80.77978364524891,
        "avg_co2_emissions_current": 2.95340010450773,
        "stddev_co2_emissions_current": 2.356442231744167,
        "min_co2_emissions_current": -11,
        "max_co2_emissions_current": 96.6,
        "perc_10_co2_emissions_current": 0.8,
        "perc_25_co2_emissions_current": 1.5,
        "perc_50_co2_emissions_current": 2.4,
        "perc_75_co2_emissions_current": 3.8,
        "perc_90_co2_emissions_current": 5.5,
        "avg_co2_emissions_potential": 1.8182141339546218,
        "stddev_co2_emissions_potential": 1.5045976585727199,
        "min_co2_emissions_potential": -11,
        "max_co2_emissions_potential": 100,
        "perc_10_co2_emissions_potential": 0.7,
        "perc_25_co2_emissions_potential": 1,
        "perc_50_co2_emissions_potential": 1.5,
        "perc_75_co2_emissions_potential": 2.2,
        "perc_90_co2_emissions_potential": 3.2,
        "avg_energy_rating_current_numerical": 4.5946104789727285,
        "avg_energy_rating_potential_numerical": 5.35876530094884
    },
    "country_stats": {
        "country_code": "E92000001",
        "property_count": 19029650,
        "mode_energy_rating_current": "C",
        "avg_energy_rating_current": "D",
        "stddev_energy_rating_current": 0.9916974088664158,
        "min_energy_rating_current": "A",
        "max_energy_rating_current": "G",
        "perc_10_energy_rating_current": 3,
        "perc_25_energy_rating_current": 4,
        "perc_50_energy_rating_current": 5,
        "perc_75_energy_rating_current": 5,
        "perc_90_energy_rating_current": 6,
        "energy_rating_a_count_current": 146454,
        "energy_rating_b_count_current": 2675526,
        "energy_rating_c_count_current": 6833747,
        "energy_rating_d_count_current": 6802966,
        "energy_rating_e_count_current": 2080977,
        "energy_rating_f_count_current": 385628,
        "energy_rating_g_count_current": 104352,
        "mode_energy_rating_potential": "B",
        "avg_energy_rating_potential": "C",
        "stddev_energy_rating_potential": 0.7764454061649956,
        "min_energy_rating_potential": "A",
        "max_energy_rating_potential": "G",
        "perc_10_energy_rating_potential": 5,
        "perc_25_energy_rating_potential": 5,
        "perc_50_energy_rating_potential": 6,
        "perc_75_energy_rating_potential": 6,
        "perc_90_energy_rating_potential": 6,
        "energy_rating_a_count_potential": 1508909,
        "energy_rating_b_count_potential": 9070764,
        "energy_rating_c_count_potential": 7221194,
        "energy_rating_d_count_potential": 999360,
        "energy_rating_e_count_potential": 180512,
        "energy_rating_f_count_potential": 38039,
        "energy_rating_g_count_potential": 10872,
        "avg_energy_consumption_per_floor_area_m2_current": 227.42663799222672,
        "stddev_energy_consumption_per_floor_area_m2_current": 115.2974275079285,
        "min_energy_consumption_per_floor_area_m2_current": -488,
        "max_energy_consumption_per_floor_area_m2_current": 1999,
        "perc_10_energy_consumption_per_floor_area_m2_current": 93,
        "perc_25_energy_consumption_per_floor_area_m2_current": 158,
        "perc_50_energy_consumption_per_floor_area_m2_current": 214,
        "perc_75_energy_consumption_per_floor_area_m2_current": 279,
        "perc_90_energy_consumption_per_floor_area_m2_current": 360,
        "avg_energy_consumption_per_floor_area_m2_potential": 130.14909117958436,
        "stddev_energy_consumption_per_floor_area_m2_potential": 83.30607372935727,
        "min_energy_consumption_per_floor_area_m2_potential": -499,
        "max_energy_consumption_per_floor_area_m2_potential": 2000,
        "perc_10_energy_consumption_per_floor_area_m2_potential": 47,
        "perc_25_energy_consumption_per_floor_area_m2_potential": 83,
        "perc_50_energy_consumption_per_floor_area_m2_potential": 117,
        "perc_75_energy_consumption_per_floor_area_m2_potential": 162,
        "perc_90_energy_consumption_per_floor_area_m2_potential": 226,
        "avg_energy_efficiency_current": 67.18314891598206,
        "stddev_energy_efficiency_current": 12.75787200185356,
        "min_energy_efficiency_current": 1,
        "max_energy_efficiency_current": 150,
        "perc_10_energy_efficiency_current": 51,
        "perc_25_energy_efficiency_current": 61,
        "perc_50_energy_efficiency_current": 69,
        "perc_75_energy_efficiency_current": 75,
        "perc_90_energy_efficiency_current": 83,
        "avg_energy_efficiency_potential": 80.84690981543525,
        "stddev_energy_efficiency_potential": 8.73752272242714,
        "min_energy_efficiency_potential": 1,
        "max_energy_efficiency_potential": 150,
        "perc_10_energy_efficiency_potential": 72,
        "perc_25_energy_efficiency_potential": 77,
        "perc_50_energy_efficiency_potential": 82,
        "perc_75_energy_efficiency_potential": 86,
        "perc_90_energy_efficiency_potential": 90,
        "avg_total_floor_area": 89.6522202537852,
        "avg_co2_emissions_current": 3.5428446364289172,
        "stddev_co2_emissions_current": 2.747715671293062,
        "min_co2_emissions_current": -19.9,
        "max_co2_emissions_current": 100,
        "perc_10_co2_emissions_current": 1.2,
        "perc_25_co2_emissions_current": 1.9,
        "perc_50_co2_emissions_current": 3,
        "perc_75_co2_emissions_current": 4.4,
        "perc_90_co2_emissions_current": 6.3,
        "avg_co2_emissions_potential": 2.0059824267495334,
        "stddev_co2_emissions_potential": 1.7199244925131567,
        "min_co2_emissions_potential": -20,
        "max_co2_emissions_potential": 100,
        "perc_10_co2_emissions_potential": 0.6,
        "perc_25_co2_emissions_potential": 1.1,
        "perc_50_co2_emissions_potential": 1.6,
        "perc_75_co2_emissions_potential": 2.5,
        "perc_90_co2_emissions_potential": 3.7,
        "avg_energy_rating_current_numerical": 4.497059693688533,
        "avg_energy_rating_potential_numerical": 5.555480158594614
    },
    "property_type_stats": {
        "local_authority_stats": {
            "local_authority_district_code": "E09000013",
            "property_type": "House",
            "property_count": 15051,
            "mode_energy_rating_current": "D",
            "avg_energy_rating_current": "D",
            "stddev_energy_rating_current": 0.8215751145700824,
            "min_energy_rating_current": "A",
            "max_energy_rating_current": "G",
            "perc_10_energy_rating_current": 3,
            "perc_25_energy_rating_current": 4,
            "perc_50_energy_rating_current": 4,
            "perc_75_energy_rating_current": 5,
            "perc_90_energy_rating_current": 5,
            "energy_rating_a_count_current": 7,
            "energy_rating_b_count_current": 402,
            "energy_rating_c_count_current": 4277,
            "energy_rating_d_count_current": 7543,
            "energy_rating_e_count_current": 2437,
            "energy_rating_f_count_current": 295,
            "energy_rating_g_count_current": 90,
            "mode_energy_rating_potential": "B",
            "avg_energy_rating_potential": "C",
            "stddev_energy_rating_potential": 0.7938071707775423,
            "min_energy_rating_potential": "A",
            "max_energy_rating_potential": "G",
            "perc_10_energy_rating_potential": 4,
            "perc_25_energy_rating_potential": 5,
            "perc_50_energy_rating_potential": 6,
            "perc_75_energy_rating_potential": 6,
            "perc_90_energy_rating_potential": 6,
            "energy_rating_a_count_potential": 199,
            "energy_rating_b_count_potential": 8000,
            "energy_rating_c_count_potential": 5272,
            "energy_rating_d_count_potential": 1143,
            "energy_rating_e_count_potential": 382,
            "energy_rating_f_count_potential": 32,
            "energy_rating_g_count_potential": 23,
            "avg_energy_consumption_per_floor_area_m2_current": 221.45305959736893,
            "stddev_energy_consumption_per_floor_area_m2_current": 83.04982917114184,
            "min_energy_consumption_per_floor_area_m2_current": -27,
            "max_energy_consumption_per_floor_area_m2_current": 1219,
            "perc_10_energy_consumption_per_floor_area_m2_current": 135,
            "perc_25_energy_consumption_per_floor_area_m2_current": 168,
            "perc_50_energy_consumption_per_floor_area_m2_current": 211,
            "perc_75_energy_consumption_per_floor_area_m2_current": 261,
            "perc_90_energy_consumption_per_floor_area_m2_current": 319,
            "avg_energy_consumption_per_floor_area_m2_potential": 115.60959404690718,
            "stddev_energy_consumption_per_floor_area_m2_potential": 69.54715027425935,
            "min_energy_consumption_per_floor_area_m2_potential": -117,
            "max_energy_consumption_per_floor_area_m2_potential": 1022,
            "perc_10_energy_consumption_per_floor_area_m2_potential": 60,
            "perc_25_energy_consumption_per_floor_area_m2_potential": 78,
            "perc_50_energy_consumption_per_floor_area_m2_potential": 98,
            "perc_75_energy_consumption_per_floor_area_m2_potential": 127,
            "perc_90_energy_consumption_per_floor_area_m2_potential": 201,
            "avg_energy_efficiency_current": 62.55431532788519,
            "stddev_energy_efficiency_current": 10.984345088558918,
            "min_energy_efficiency_current": 1,
            "max_energy_efficiency_current": 105,
            "perc_10_energy_efficiency_current": 49,
            "perc_25_energy_efficiency_current": 57,
            "perc_50_energy_efficiency_current": 64,
            "perc_75_energy_efficiency_current": 70,
            "perc_90_energy_efficiency_current": 74,
            "avg_energy_efficiency_potential": 79.06471330808584,
            "stddev_energy_efficiency_potential": 9.251434186160477,
            "min_energy_efficiency_potential": 1,
            "max_energy_efficiency_potential": 115,
            "perc_10_energy_efficiency_potential": 68,
            "perc_25_energy_efficiency_potential": 77,
            "perc_50_energy_efficiency_potential": 81,
            "perc_75_energy_efficiency_potential": 85,
            "perc_90_energy_efficiency_potential": 87,
            "avg_total_floor_area": 143.50365448504982,
            "avg_co2_emissions_current": 5.4247890505614285,
            "stddev_co2_emissions_current": 2.9512267982935176,
            "min_co2_emissions_current": -0.2,
            "max_co2_emissions_current": 84,
            "perc_10_co2_emissions_current": 2.6,
            "perc_25_co2_emissions_current": 3.5,
            "perc_50_co2_emissions_current": 4.8,
            "perc_75_co2_emissions_current": 6.6,
            "perc_90_co2_emissions_current": 9,
            "avg_co2_emissions_potential": 3.0623147963590465,
            "stddev_co2_emissions_potential": 2.4100096490411405,
            "min_co2_emissions_potential": -1.5,
            "max_co2_emissions_potential": 70,
            "perc_10_co2_emissions_potential": 1,
            "perc_25_co2_emissions_potential": 1.6,
            "perc_50_co2_emissions_potential": 2.4,
            "perc_75_co2_emissions_potential": 3.8,
            "perc_90_co2_emissions_potential": 5.8,
            "avg_energy_rating_current_numerical": 4.119925586339778,
            "avg_energy_rating_potential_numerical": 5.418776161052421
        },
        "country_stats": {
            "country_code": "E92000001",
            "property_type": "House",
            "property_count": 11897511,
            "mode_energy_rating_current": "D",
            "avg_energy_rating_current": "D",
            "stddev_energy_rating_current": 1.011748142137592,
            "min_energy_rating_current": "A",
            "max_energy_rating_current": "G",
            "perc_10_energy_rating_current": 3,
            "perc_25_energy_rating_current": 4,
            "perc_50_energy_rating_current": 4,
            "perc_75_energy_rating_current": 5,
            "perc_90_energy_rating_current": 6,
            "energy_rating_a_count_current": 117657,
            "energy_rating_b_count_current": 1505330,
            "energy_rating_c_count_current": 3697112,
            "energy_rating_d_count_current": 4736640,
            "energy_rating_e_count_current": 1474517,
            "energy_rating_f_count_current": 290183,
            "energy_rating_g_count_current": 76072,
            "mode_energy_rating_potential": "B",
            "avg_energy_rating_potential": "C",
            "stddev_energy_rating_potential": 0.7847010089387065,
            "min_energy_rating_potential": "A",
            "max_energy_rating_potential": "G",
            "perc_10_energy_rating_potential": 5,
            "perc_25_energy_rating_potential": 5,
            "perc_50_energy_rating_potential": 6,
            "perc_75_energy_rating_potential": 6,
            "perc_90_energy_rating_potential": 7,
            "energy_rating_a_count_potential": 1355723,
            "energy_rating_b_count_potential": 6575163,
            "energy_rating_c_count_potential": 3316860,
            "energy_rating_d_count_potential": 499957,
            "energy_rating_e_count_potential": 115763,
            "energy_rating_f_count_potential": 26420,
            "energy_rating_g_count_potential": 7625,
            "avg_energy_consumption_per_floor_area_m2_current": 225.60169256016266,
            "stddev_energy_consumption_per_floor_area_m2_current": 106.02793809901311,
            "min_energy_consumption_per_floor_area_m2_current": -486,
            "max_energy_consumption_per_floor_area_m2_current": 1998,
            "perc_10_energy_consumption_per_floor_area_m2_current": 92,
            "perc_25_energy_consumption_per_floor_area_m2_current": 165,
            "perc_50_energy_consumption_per_floor_area_m2_current": 215,
            "perc_75_energy_consumption_per_floor_area_m2_current": 276,
            "perc_90_energy_consumption_per_floor_area_m2_current": 348,
            "avg_energy_consumption_per_floor_area_m2_potential": 110.77574858101595,
            "stddev_energy_consumption_per_floor_area_m2_potential": 69.94835891333659,
            "min_energy_consumption_per_floor_area_m2_potential": -492,
            "max_energy_consumption_per_floor_area_m2_potential": 1991,
            "perc_10_energy_consumption_per_floor_area_m2_potential": 35,
            "perc_25_energy_consumption_per_floor_area_m2_potential": 73,
            "perc_50_energy_consumption_per_floor_area_m2_potential": 104,
            "perc_75_energy_consumption_per_floor_area_m2_potential": 139,
            "perc_90_energy_consumption_per_floor_area_m2_potential": 187,
            "avg_energy_efficiency_current": 65.85353251870568,
            "stddev_energy_efficiency_current": 13.037566814803426,
            "min_energy_efficiency_current": 1,
            "max_energy_efficiency_current": 150,
            "perc_10_energy_efficiency_current": 50,
            "perc_25_energy_efficiency_current": 59,
            "perc_50_energy_efficiency_current": 67,
            "perc_75_energy_efficiency_current": 73,
            "perc_90_energy_efficiency_current": 83,
            "avg_energy_efficiency_potential": 82.42977349313983,
            "stddev_energy_efficiency_potential": 8.892243466534898,
            "min_energy_efficiency_potential": 1,
            "max_energy_efficiency_potential": 150,
            "perc_10_energy_efficiency_potential": 73,
            "perc_25_energy_efficiency_potential": 79,
            "perc_50_energy_efficiency_potential": 83,
            "perc_75_energy_efficiency_potential": 87,
            "perc_90_energy_efficiency_potential": 92,
            "avg_total_floor_area": 104.82024266976424,
            "avg_co2_emissions_current": 4.163972808439585,
            "stddev_co2_emissions_current": 3.010957750240059,
            "min_co2_emissions_current": -19.2,
            "max_co2_emissions_current": 100,
            "perc_10_co2_emissions_current": 1.6,
            "perc_25_co2_emissions_current": 2.5,
            "perc_50_co2_emissions_current": 3.5,
            "perc_75_co2_emissions_current": 5,
            "perc_90_co2_emissions_current": 7.1,
            "avg_co2_emissions_potential": 2.1782858011232187,
            "stddev_co2_emissions_potential": 1.9634001936716987,
            "min_co2_emissions_potential": -20,
            "max_co2_emissions_potential": 100,
            "perc_10_co2_emissions_potential": 0.6,
            "perc_25_co2_emissions_potential": 1.1,
            "perc_50_co2_emissions_potential": 1.8,
            "perc_75_co2_emissions_potential": 2.7,
            "perc_90_co2_emissions_potential": 4.1,
            "avg_energy_rating_current_numerical": 4.40156668062757,
            "avg_energy_rating_potential_numerical": 5.709843092391341
        }
    }
}

EPC Compare

If the property has an EPC, the API provides an assessment of how its energy efficiency and carbon footprint compare to average values within relevant administrative boundaries. Where possible, an assessment against similar properties is provided.

{
    "relative_to_postcode": {
        "energy_efficiency": "worse",
        "carbon_footprint": "higher",
        "average_energy_efficiency_score": 65.6,
        "average_carbon_footprint": 2.8666666666666663
    },
    "relative_to_outcode": {
        "energy_efficiency": "worse",
        "carbon_footprint": "higher",
        "average_energy_efficiency_score": 68.8733539747081,
        "average_carbon_footprint": 3.1423766180475456
    },
    "relative_to_local_authority": {
        "energy_efficiency": "worse",
        "carbon_footprint": "higher",
        "average_energy_efficiency_score": 69.43062077925593,
        "average_carbon_footprint": 2.7837448403729734
    },
    "relative_to_region": {
        "energy_efficiency": "worse",
        "carbon_footprint": "higher",
        "average_energy_efficiency_score": 68.58951885690358,
        "average_carbon_footprint": 2.95340010450773
    },
    "relative_to_country": {
        "energy_efficiency": "worse",
        "carbon_footprint": "higher",
        "average_energy_efficiency_score": 67.18314891598206,
        "average_carbon_footprint": 3.5428446364289172
    },
    "relative_to_similar_properties_local_authority": {
        "energy_efficiency": "better",
        "carbon_footprint": "lower",
        "average_energy_efficiency_score": 62.55431532788519,
        "average_carbon_footprint": 5.4247890505614285
    },
    "relative_to_similar_properties_country": {
        "energy_efficiency": "worse",
        "carbon_footprint": "higher",
        "average_energy_efficiency_score": 65.85353251870568,
        "average_carbon_footprint": 4.163972808439585
    }
}

EPC Retrofit Recommendations

The API response provides EPC retrofit recommendations (if they exist) for properties in England and Wales (these are included within the EPC itself for properties in Scotland). Results comprise a brief description of the upgrade and an indicative cost range.

[
    {
        "certificate_number": "8788-7424-5370-3747-2996",
        "improvement_id": 7,
        "improvement_summary_text": "50 mm internal or external wall insulation",
        "improvement_description_text": "Solid wall insulation involves adding a layer of insulation to either the inside or the outside surface of the external walls, which reduces heat loss and lowers fuel bills. As it is more expensive than cavity wall insulation it is only recommended for walls without a cavity, or where for technical reasons a cavity cannot be filled. Internal insulation, known as dry-lining, is where a layer of insulation is fixed to the inside surface of external walls; this type of insulation is best applied when rooms require redecorating and can be installed by a competent DIY enthusiast. External solid wall insulation is the application of an insulant and a weather-protective finish to the outside of the wall. This may improve the look of the home, particularly where existing brickwork or rendering is poor, and will provide long-lasting weather protection. Further information can be obtained from the National Insulation Association (www.nationalinsulationassociation.org.uk).",
        "indicative_cost_min": 4000,
        "indicative_cost_max": 14000
    },
    {
        "certificate_number": "8788-7424-5370-3747-2996",
        "improvement_id": 19,
        "improvement_summary_text": "Solar water heating",
        "improvement_description_text": "A solar water heating panel, usually fixed to the roof, uses the sun to pre-heat the hot water supply. This will significantly reduce the demand on the heating system to provide hot water and hence save fuel and money. The Solar Trade Association has up-to-date information on local installers.",
        "indicative_cost_min": 4000,
        "indicative_cost_max": 6000
    },
    {
        "certificate_number": "8788-7424-5370-3747-2996",
        "improvement_id": 34,
        "improvement_summary_text": "Solar photovoltaic panels, 2.5 kWp",
        "improvement_description_text": "A solar PV system is one which converts light directly into electricity via panels placed on the roof with no waste and no emissions. This electricity is used throughout the home in the same way as the electricity purchased from an energy supplier. The British Photovoltaic Association has up-to-date information on local installers who are qualified electricians. It is best to obtain advice from a qualified electrician. Ask the electrician to explain the options.",
        "indicative_cost_min": 5000,
        "indicative_cost_max": 8000
    },
    {
        "certificate_number": "8788-7424-5370-3747-2996",
        "improvement_id": 57,
        "improvement_summary_text": "Floor insulation (suspended floor)",
        "improvement_description_text": "Insulation of a floor will significantly reduce heat loss; this will improve levels of comfort, reduce energy use and lower fuel bills. Suspended floors can often be insulated from below. . Further information about floor insulation is available from many sources including www.energysavingtrust.org.uk/northernireland/Insulation/Floor-insulation.",
        "indicative_cost_min": 800,
        "indicative_cost_max": 1200
    }
]

Code Samples

Request

curl \
  -X GET \
  --header "x-api-key: <API KEY>" \
  https://api.propeco.io/retrofit?uprn=UPRN
const results = await fetch(`https://api.propeco.io/properties?uprn=${uprn}`, {
  headers: {
    "x-api-key": API_KEY
  },
});
const data = await results.json();

Response

{
  "location": {
    "uprn": 34076006,
    "x_coord": 526131,
    "y_coord": 176355,
    "latitude": 51.47211,
    "longitude": -0.1853445
  },
  "admin_boundaries": {
    "postcode": "SW6 2QT",
    "census_output_area_code": "E00009707",
    "county_code": "E13000001",
    "county_electoral_division_code": "E99999999",
    "local_authority_district_code": "E09000013",
    "electoral_area_code": "E05013747",
    "health_area_code": "E18000007",
    "country_code": "E92000001",
    "region_code": "E12000007",
    "parliamentary_constituency_code": "E14001160",
    "european_electoral_region_code": "E15000007",
    "travel_to_work_area_code": "E30000234",
    "itl_area_code": "E09000013",
    "national_park_code": "E65000001",
    "census_lower_layer_super_output_area_code": "E01035487",
    "census_middle_layer_super_output_area_code": "E02000394",
    "census_workplace_zone": "E33033988",
    "ccg_lhb_chp_area_code": "E38000256",
    "built_up_area_code": "E63012087",
    "census_rural_urban_classification": "UN1",
    "census_output_area_classification": "3c2",
    "local_enterprise_partnership_code": "E37000051",
    "local_enterprise_partnership_secondary_code": null,
    "police_force_area_code": "E23000001",
    "electoral_area_name": "Sands End",
    "local_authority_district_name": "Hammersmith and Fulham",
    "county_name": "Hammersmith and Fulham",
    "region_name": "London",
    "country_name": "England"
  },
  "planning": {
    "conservation_areas": {
      "in_conservation_area": true,
      "conservation_area_area": 2232158.3556300737,
      "conservation_area_proportion": 0.7151041414312149,
      "nearest_conservation_area": {
        "name": "No data available for publication by HE",
        "distance": 0,
        "data_available": false,
        "nearest_point": null
      }
    },
    "listed_buildings": {
      "nearest_listed_buildings": [
        {
          "distance": 272.65926201169736,
          "x_coord": 525867.650000001,
          "y_coord": 176425.638875,
          "latitude": 51.472803363681365,
          "longitude": -0.18910933363089522,
          "name": "LANGFORD SCHOOL INCLUDING WALL, RAILINGS, GATES AND ENTRANCES, AND FORMER SCHOOL KEEPER'S HOUSE AND SPECIAL SCHOOL",
          "grade": "II",
          "date_listed": "2009-08-06T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1393408"
        },
        {
          "distance": 404.2988160209559,
          "x_coord": 526507.3075,
          "y_coord": 176502.818125004,
          "latitude": 51.473354479784355,
          "longitude": -0.17987667978798275,
          "name": "CREMORNE BRIDGE, WEST LONDON EXTENSION RAILWAY BRIDGE",
          "grade": "II*",
          "date_listed": "2008-11-26T00:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1393006"
        },
        {
          "distance": 459.0246555692252,
          "x_coord": 526003.950000001,
          "y_coord": 176796.091750003,
          "latitude": 51.47610236703256,
          "longitude": -0.187015978762473,
          "name": "FORMER LABORATORY AT THE IMPERIAL GAS WORKS",
          "grade": "II",
          "date_listed": "2007-06-06T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1392024"
        },
        {
          "distance": 475.47437878733615,
          "x_coord": 526020.825000001,
          "y_coord": 176817.533625003,
          "latitude": 51.47629131271065,
          "longitude": -0.18676548323922187,
          "name": "OFFICE BUILDING AT THE FORMER IMPERIAL GAS WORKS",
          "grade": "II",
          "date_listed": "2007-06-06T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1392025"
        },
        {
          "distance": 494.79545054752094,
          "x_coord": 526618.171500001,
          "y_coord": 176441.524375001,
          "latitude": 51.47277885538365,
          "longitude": -0.17830319242949452,
          "name": "Cremorne Bridge, West London Extension Railway Bridge, Battersea",
          "grade": "II*",
          "date_listed": "2008-11-26T00:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1393005"
        },
        {
          "distance": 495.9440400961927,
          "x_coord": 525992.145,
          "y_coord": 176831.109000001,
          "latitude": 51.47641969688287,
          "longitude": -0.1871734055456125,
          "name": "WAR MEMORIAL",
          "grade": "II",
          "date_listed": "2007-06-06T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1392026"
        },
        {
          "distance": 564.5638515564086,
          "x_coord": 526042.855809047,
          "y_coord": 176912.640515104,
          "latitude": 51.47714114501708,
          "longitude": -0.18641454604452504,
          "name": "Gasholder No 2, Fulham Gasworks",
          "grade": "II*",
          "date_listed": "1970-05-11T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1261959"
        },
        {
          "distance": 654.1070248826896,
          "x_coord": 526747,
          "y_coord": 176575.000000002,
          "latitude": 51.47394959321589,
          "longitude": -0.17640147952629298,
          "name": "OLD BATTERSEA HOUSE",
          "grade": "II*",
          "date_listed": "1954-06-27T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1065500"
        },
        {
          "distance": 693.9798267983115,
          "x_coord": 525549,
          "y_coord": 176733.000000004,
          "latitude": 51.47563638690696,
          "longitude": -0.19358588507184643,
          "name": "NOS 71 TO 77 INCLUDING IRON RAILINGS",
          "grade": "II",
          "date_listed": "1970-05-11T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1192382"
        },
        {
          "distance": 702.7560031786114,
          "x_coord": 526776.000000001,
          "y_coord": 176634.000000004,
          "latitude": 51.47447333832597,
          "longitude": -0.17596300838318335,
          "name": "ST MARY'S VICARAGE (INCLUDING RAILINGS AND GATES)",
          "grade": "II",
          "date_listed": "1954-06-27T23:00:00.000Z",
          "url": "https://historicengland.org.uk/listing/the-list/list-entry/1299844"
        }
      ]
    },
    "world_heritage_sites": {
      "in_world_heritage_site": false,
      "world_heritage_site_area": 0,
      "world_heritage_site_proportion": 0,
      "nearest_world_heritage_site": {
        "name": "Palace of Westminster, Westminster Abbey and St. Margaret's Church",
        "inscription_date": "1987-01-01T00:00:00.000Z",
        "notes": "Core Area",
        "url": "https://historicengland.org.uk/listing/the-list/list-entry/1000095",
        "distance": 4821.2320112402185,
        "nearest_point": {
          "x_coord": 529916.025999069,
          "y_coord": 179341.277999882,
          "latitude": 51.49809161098811,
          "longitude": -0.12978059568154365
        }
      }
    },
    "national_parks": {
      "in_national_park": false,
      "national_park_area": 0,
      "national_park_proportion": 0,
      "nearest_national_park": {
        "code": "E26000010",
        "name": "South Downs",
        "distance": 52414.49214631459,
        "nearest_point": {
          "x_coord": 496678.7996,
          "y_coord": 132997.799000001,
          "latitude": 51.088152792361065,
          "longitude": -0.6209624707641703
        }
      }
    }
  },
  "area_attributes": {
    "house_price_index": {
      "date": "2026-01-08T00:00:00.000Z",
      "region_name": "Hammersmith and Fulham",
      "average_price": 754825,
      "average_price_seasonally_adjusted": null,
      "house_price_index": 89.4,
      "house_price_index_seasonally_adjusted": null,
      "percentage_change_1_month": 1.6,
      "percentage_change_12_months": -5.1,
      "sales_volume": null,
      "average_price_detached": 1763936,
      "house_price_index_detached": 92.4,
      "percentage_change_1_month_detached": 2,
      "percentage_change_12_months_detached": -0.8,
      "average_price_semi_detached": 1544924,
      "house_price_index_semi_detached": 94,
      "percentage_change_1_month_semi_detached": 2.1,
      "percentage_change_12_months_semi_detached": 0.9,
      "average_price_terraced": 1172812,
      "house_price_index_terraced": 94.2,
      "percentage_change_1_month_terraced": 2.2,
      "percentage_change_12_months_terraced": -2.2,
      "average_price_flat": 579711,
      "house_price_index_flat": 87.4,
      "percentage_change_1_month_flat": 1.4,
      "percentage_change_12_months_flat": -6.4,
      "average_price_cash": 751717,
      "house_price_index_cash": 89.3,
      "percentage_change_1_month_cash": 1.5,
      "percentage_change_12_months_cash": -5.2,
      "sales_volume_cash": null,
      "average_price_mortgage": 756219,
      "house_price_index_mortgage": 89.5,
      "percentage_change_1_month_mortgage": 1.7,
      "percentage_change_12_months_mortgage": -5,
      "sales_volume_mortgage": null,
      "average_price_first_time_buyer": 643534,
      "house_price_index_first_time_buyer": 88.5,
      "percentage_change_1_month_first_time_buyer": 1.6,
      "percentage_change_12_months_first_time_buyer": -5.5,
      "average_price_former_owner_occupier": 929765,
      "house_price_index_former_owner_occupier": 90.9,
      "percentage_change_1_month_former_owner_occupier": 1.7,
      "percentage_change_12_months_former_owner_occupier": -4.3,
      "average_price_new": null,
      "house_price_index_new": null,
      "percentage_change_1_month_new": null,
      "percentage_change_12_months_new": null,
      "sales_volume_new": null,
      "average_price_existing": null,
      "house_price_index_existing": null,
      "percentage_change_1_month_existing": null,
      "percentage_change_12_months_existing": null,
      "sales_volume_existing": null
    },
    "fuel_poverty": {
      "lower_layer_super_output_area": {
        "lower_layer_super_output_area_code": "E01035487",
        "lower_layer_super_output_area_name": "Hammersmith and Fulham 023H",
        "household_count": 809,
        "fuel_poor_household_count": 60,
        "fuel_poor_household_percentage": 7
      },
      "local_authority": {
        "local_authority_district_code": "E09000013",
        "local_authority_district_name": "Hammersmith and Fulham",
        "household_count": 88809,
        "fuel_poor_household_count": 8657,
        "fuel_poor_household_percentage": 9.747885912463827
      },
      "region": {
        "region_code": "E12000007",
        "region_name": "London",
        "household_count": 3731959,
        "fuel_poor_household_count": 359488,
        "fuel_poor_household_percentage": 9.632688890740761
      }
    },
    "average_energy_usage_stats": {
      "middle_layer_super_output_area": {
        "middle_layer_super_output_area_code": "E02000394",
        "electricity_meter_count": 6608,
        "mean_electricity_usage": 3796.8767,
        "mean_electricity_cost": 1199.46744744,
        "median_electricity_usage": 2628.25,
        "median_electricity_cost": 891.8849,
        "gas_meter_count": 2360,
        "mean_gas_usage": 10129.2705,
        "mean_gas_cost": 915.63485885,
        "median_gas_usage": 8211.192,
        "median_gas_cost": 762.7640023999999
      },
      "lower_layer_super_output_area": {
        "lower_layer_super_output_area_code": "E01035487",
        "electricity_meter_count": 904,
        "mean_electricity_usage": 2816.2676,
        "mean_electricity_cost": 941.37113232,
        "median_electricity_usage": 2086.15,
        "median_electricity_cost": 749.2041800000001,
        "gas_meter_count": 612,
        "mean_gas_usage": 8822.37,
        "mean_gas_cost": 811.474889,
        "median_gas_usage": 7172.616,
        "median_gas_cost": 679.9894952
      }
    },
    "retrofit_grants": [
      {
        "name": "Boiler Upgrade Scheme",
        "description": "Grant of up to £7,500 (£9,000 for some eligible off-gas properties) to cover part of the cost of replacing fossil fuel heating systems with a heat pump or biomass boiler.",
        "grant_value": 7500,
        "url": "https://www.gov.uk/apply-boiler-upgrade-scheme"
      }
    ],
    "urban_rural_classification": {
      "output_area_code": "E00009707",
      "rural_urban_classification_code": "UN1",
      "rural_urban_description": "Urban: Nearer to a major town or city",
      "rural_urban_flag": "Urban"
    },
    "indices_of_deprivation": {
      "lsoa_code": "E01035487",
      "lsoa_name": "Hammersmith and Fulham 023H",
      "local_authority_district_code": "E09000013",
      "local_authority_district_name": "Hammersmith and Fulham",
      "index_of_multiple_deprivation_score": 20.633,
      "index_of_multiple_deprivation_rank": 14227,
      "index_of_multiple_deprivation_decile": 5,
      "income_score": 0.297,
      "income_rank": 9684,
      "income_decile": 3,
      "employment_score": 0.133,
      "employment_rank": 13364,
      "employment_decile": 4,
      "education_skills_and_training_score": 9.443,
      "education_skills_and_training_rank": 23267,
      "education_skills_and_training_decile": 7,
      "health_deprivation_and_disability_score": 0.064,
      "health_deprivation_and_disability_rank": 15505,
      "health_deprivation_and_disability_decile": 5,
      "crime_score": -0.031,
      "crime_rank": 17238,
      "crime_decile": 6,
      "barriers_to_housing_and_services_score": 23.746,
      "barriers_to_housing_and_services_rank": 12324,
      "barriers_to_housing_and_services_decile": 4,
      "living_environment_score": 29.34,
      "living_environment_rank": 9629,
      "living_environment_decile": 3,
      "income_deprivation_affecting_children_score": 0.404,
      "income_deprivation_affecting_children_rank": 11804,
      "income_deprivation_affecting_children_decile": 4,
      "income_deprivation_affecting_older_people_score": 0.561,
      "income_deprivation_affecting_older_people_rank": 1571,
      "income_deprivation_affecting_older_people_decile": 1,
      "children_and_young_people_sub_domain_score": -0.359,
      "children_and_young_people_sub_domain_rank": 21941,
      "children_and_young_people_sub_domain_decile": 7,
      "adult_skills_sub_domain_score": 0.184,
      "adult_skills_sub_domain_rank": 22544,
      "adult_skills_sub_domain_decile": 7,
      "geographical_barriers_sub_domain_score": 10.132,
      "geographical_barriers_sub_domain_rank": 32590,
      "geographical_barriers_sub_domain_decile": 10,
      "wider_barriers_sub_domain_score": 3.849,
      "wider_barriers_sub_domain_rank": 4049,
      "wider_barriers_sub_domain_decile": 2,
      "indoors_sub_domain_score": -0.245,
      "indoors_sub_domain_rank": 20945,
      "indoors_sub_domain_decile": 7,
      "outdoors_sub_domain_score": 1.628,
      "outdoors_sub_domain_rank": 1014,
      "outdoors_sub_domain_decile": 1,
      "total_population_mid_2015_excluding_prisoners": 1576,
      "dependent_children_aged_0_15_mid_2015_excluding_prisoners": 235,
      "older_population_aged_60_and_over_mid_2015_excluding_prisoners": 266,
      "working_age_population_18_59_64_for_use_with_employment_depriva": 1141
    }
  },
  "epcs": {
    "epc_in_date": true,
    "epc_age": 271003989429,
    "epc_expiry": "2028-04-12T23:00:00.000Z",
    "enhanced_epcs": [
      {
        "address": "30, Tynemouth Street",
        "address1": "30, Tynemouth Street",
        "address2": null,
        "address3": null,
        "adjusted_costs": {
          "heating_cost_current": 1299.6,
          "heating_cost_potential": 1013.5,
          "hot_water_cost_current": 221.3,
          "hot_water_cost_potential": 136,
          "lighting_cost_current": 137.1,
          "lighting_cost_potential": 137.1,
          "total_fuel_cost_current": 1658,
          "total_fuel_cost_potential": 1286.6,
          "standing_charges": 305
        },
        "built_form": "Mid-Terrace",
        "certificate_number": "8788-7424-5370-3747-2996",
        "co2_emissions_current": 4.9,
        "co2_emissions_per_floor_area_m2_current": 35,
        "co2_emissions_potential": 2.7,
        "co2_emissions_reduction_potential": 2.2,
        "constituency": "E14001160",
        "constituency_label": "Chelsea and Fulham",
        "construction_age_band": "1900-1929",
        "country": "England",
        "dwelling_type": "Existing dwellings",
        "energy_consumption_per_floor_area_m2_current": 197,
        "energy_consumption_per_floor_area_m2_potential": 107,
        "energy_efficiency_current": 64,
        "energy_efficiency_potential": 78,
        "energy_rating_current": "D",
        "energy_rating_potential": "C",
        "energy_tariff": "Single",
        "environmental_impact_current": 55,
        "environmental_impact_potential": 72,
        "extension_count": 1,
        "fixed_lighting_outlet_count": 23,
        "flat_storey_count": 2,
        "floor_description": "Suspended, no insulation (assumed)",
        "floor_energy_efficiency": "N/A",
        "floor_environmental_efficiency": "N/A",
        "floor_height": 2.62,
        "floor_level": null,
        "floor_thermal_transmittance": null,
        "floor_type": "suspended",
        "glazed_area": "Normal",
        "glazed_type": "Double",
        "habitable_room_count": 6,
        "has_mains_gas": true,
        "has_solar_water_heating": false,
        "heat_loss_corridor": null,
        "heat_pump": false,
        "heated_room_count": 6,
        "heating_cost_current": 822,
        "heating_cost_potential": 641,
        "hot_water_cost_current": 140,
        "hot_water_cost_potential": 86,
        "hot_water_description": "From main system",
        "hot_water_energy_efficiency": "Good",
        "hot_water_environmental_efficiency": "Good",
        "inspection_date": "2018-04-12T23:00:00.000Z",
        "is_flat_top_storey": false,
        "lighting_cost_current": 85,
        "lighting_cost_potential": 85,
        "lighting_description": "Low energy lighting in 96% of fixed outlets",
        "lighting_energy_efficiency": "Very Good",
        "lighting_environmental_efficiency": "Very Good",
        "local_authority": "E09000013",
        "local_authority_label": "Hammersmith and Fulham",
        "lodgement_date": "2018-04-12T23:00:00.000Z",
        "lodgement_datetime": "2018-04-13T16:05:00.000Z",
        "low_energy_fixed_light_count": 22,
        "low_energy_lighting_percentage": 96,
        "main_fuel": "Mains gas (not community)",
        "main_heating_controls": "Programmer, room thermostat and TRVs",
        "main_heating_controls_description": "Programmer, room thermostat and TRVs",
        "main_heating_controls_energy_efficiency": "Good",
        "main_heating_controls_environmental_efficiency": "Good",
        "main_heating_description": "Boiler and radiators, mains gas",
        "main_heating_energy_efficiency": "Good",
        "main_heating_environmental_efficiency": "Good",
        "mechanical_ventilation": "Natural",
        "multi_glaze_percentage": 100,
        "open_fireplace_count": 2,
        "post_town": "London",
        "postcode": "SW6 2QT",
        "property_type": "House",
        "region": "E12000007",
        "report_type": "Reduced Standard Assessment Procedure (RdSAP)",
        "roof_description": "Pitched, 300 mm loft insulation",
        "roof_energy_efficiency": "Very Good",
        "roof_environmental_efficiency": "Very Good",
        "roof_photovoltaic_supply": 0,
        "roof_thermal_transmittance": null,
        "roof_type": "pitched",
        "second_heating_description": "Room heaters, mains gas",
        "second_heating_energy_efficiency": "N/A",
        "second_heating_environmental_efficiency": "N/A",
        "tenure": "Owner-Occupied",
        "total_energy_consumption_current": 27777,
        "total_energy_consumption_potential": 15087,
        "total_floor_area": 141,
        "transaction_type": "Marketed sale",
        "unheated_corridor_length": null,
        "uprn": 34076006,
        "uprn_source": "Energy Assessor",
        "walls_description": "Solid brick, as built, no insulation (assumed)",
        "walls_energy_efficiency": "Very Poor",
        "walls_environmental_efficiency": "Very Poor",
        "walls_thermal_transmittance": null,
        "walls_type": "solid",
        "wind_turbine_count": 0,
        "windows_description": "Fully Double Glazed",
        "windows_energy_efficiency": "Good",
        "windows_environmental_efficiency": "Good"
      }
    ],
    "epc_stats": {
      "postcode_stats": {
        "postcode": "SW6 2QT",
        "property_count": 30,
        "mode_energy_rating_current": "D",
        "avg_energy_rating_current": "D",
        "stddev_energy_rating_current": 0.5508613944197478,
        "min_energy_rating_current": "C",
        "max_energy_rating_current": "E",
        "perc_10_energy_rating_current": 4,
        "perc_25_energy_rating_current": 4,
        "perc_50_energy_rating_current": 4,
        "perc_75_energy_rating_current": 4.75,
        "perc_90_energy_rating_current": 5,
        "energy_rating_a_count_current": 0,
        "energy_rating_b_count_current": 0,
        "energy_rating_c_count_current": 8,
        "energy_rating_d_count_current": 20,
        "energy_rating_e_count_current": 2,
        "energy_rating_f_count_current": 0,
        "energy_rating_g_count_current": 0,
        "mode_energy_rating_potential": "C",
        "avg_energy_rating_potential": "D",
        "stddev_energy_rating_potential": 0.5560534167675355,
        "min_energy_rating_potential": "B",
        "max_energy_rating_potential": "E",
        "perc_10_energy_rating_potential": 4.9,
        "perc_25_energy_rating_potential": 5,
        "perc_50_energy_rating_potential": 5,
        "perc_75_energy_rating_potential": 5,
        "perc_90_energy_rating_potential": 5.1000000000000005,
        "energy_rating_a_count_potential": 0,
        "energy_rating_b_count_potential": 3,
        "energy_rating_c_count_potential": 24,
        "energy_rating_d_count_potential": 2,
        "energy_rating_e_count_potential": 1,
        "energy_rating_f_count_potential": 0,
        "energy_rating_g_count_potential": 0,
        "avg_energy_consumption_per_floor_area_m2_current": 230.06666666666666,
        "stddev_energy_consumption_per_floor_area_m2_current": 53.750338143817416,
        "min_energy_consumption_per_floor_area_m2_current": 132,
        "max_energy_consumption_per_floor_area_m2_current": 351,
        "perc_10_energy_consumption_per_floor_area_m2_current": 176.9,
        "perc_25_energy_consumption_per_floor_area_m2_current": 192.5,
        "perc_50_energy_consumption_per_floor_area_m2_current": 223,
        "perc_75_energy_consumption_per_floor_area_m2_current": 263,
        "perc_90_energy_consumption_per_floor_area_m2_current": 307.3,
        "avg_energy_consumption_per_floor_area_m2_potential": 144.93333333333334,
        "stddev_energy_consumption_per_floor_area_m2_potential": 54.10585622796223,
        "min_energy_consumption_per_floor_area_m2_potential": 60,
        "max_energy_consumption_per_floor_area_m2_potential": 338,
        "perc_10_energy_consumption_per_floor_area_m2_potential": 105,
        "perc_25_energy_consumption_per_floor_area_m2_potential": 118.25,
        "perc_50_energy_consumption_per_floor_area_m2_potential": 132,
        "perc_75_energy_consumption_per_floor_area_m2_potential": 157.5,
        "perc_90_energy_consumption_per_floor_area_m2_potential": 213.4,
        "avg_energy_efficiency_current": 65.6,
        "stddev_energy_efficiency_current": 5.4684045457392845,
        "min_energy_efficiency_current": 53,
        "max_energy_efficiency_current": 74,
        "perc_10_energy_efficiency_current": 57.8,
        "perc_25_energy_efficiency_current": 63.25,
        "perc_50_energy_efficiency_current": 67.5,
        "perc_75_energy_efficiency_current": 68.75,
        "perc_90_energy_efficiency_current": 72.1,
        "avg_energy_efficiency_potential": 75.96666666666667,
        "stddev_energy_efficiency_potential": 6.008518856638024,
        "min_energy_efficiency_potential": 54,
        "max_energy_efficiency_potential": 87,
        "perc_10_energy_efficiency_potential": 71.4,
        "perc_25_energy_efficiency_potential": 74,
        "perc_50_energy_efficiency_potential": 78,
        "perc_75_energy_efficiency_potential": 79,
        "perc_90_energy_efficiency_potential": 79.3,
        "avg_total_floor_area": 72.26666666666667,
        "avg_co2_emissions_current": 2.866666666666666,
        "stddev_co2_emissions_current": 0.879785762845562,
        "min_co2_emissions_current": 1.5,
        "max_co2_emissions_current": 4.9,
        "perc_10_co2_emissions_current": 1.88,
        "perc_25_co2_emissions_current": 2.225,
        "perc_50_co2_emissions_current": 2.75,
[...]
